Home / Download / DictionaryForMIDs v3.3.0

DictionaryForMIDs v3.3.0

DictionaryForMIDs runs on every device that supports the MIDP (Mobile Information Device Profile) and has enough memory to host the dictionary. This includes most mobile phones and also most PDA models (for the PDAs you may need to download a MIDP SW first).

DictionaryForMIDs v3.3.0

3 comments

  1. need dectionary

Leave a Reply

Your email address will not be published. Required fields are marked *

*